Subject: linux-next: manual merge of the bpf-next tree with the net-next tree

From: Mark Brown <[email-masked]>
Date: Wed, 24 Sep 2025 13:27:44 +0200

Hi all,

Today's linux-next merge of the bpf-next tree got a conflict in:

  include/net/xdp.h

between commits:

  1827f773e4168 ("net: xdp: pass full flags to xdp_update_skb_shared_info()")
  6bffdc0f88f85 ("net: xdp: handle frags with unreadable memory")

from the net-next tree and commit:

  8f12d1137c238 ("bpf: Clear pfmemalloc flag when freeing all fragments")

from the bpf-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc include/net/xdp.h
index 6fd294fa6841d,f288c348a6c13..0000000000000
--- a/include/net/xdp.h
+++ b/include/net/xdp.h
@@@ -126,16 -115,11 +126,21 @@@ static __always_inline void xdp_buff_se
  	xdp->flags |= XDP_FLAGS_FRAGS_PF_MEMALLOC;
  }
  
 +static __always_inline void xdp_buff_set_frag_unreadable(struct xdp_buff *xdp)
 +{
 +	xdp->flags |= XDP_FLAGS_FRAGS_UNREADABLE;
 +}
 +
 +static __always_inline u32 xdp_buff_get_skb_flags(const struct xdp_buff *xdp)
 +{
 +	return xdp->flags;
 +}
 +
+ static __always_inline void xdp_buff_clear_frag_pfmemalloc(struct xdp_buff *xdp)
+ {
+ 	xdp->flags &= ~XDP_FLAGS_FRAGS_PF_MEMALLOC;
+ }
+ 
  static __always_inline void
  xdp_init_buff(struct xdp_buff *xdp, u32 frame_sz, struct xdp_rxq_info *rxq)
  {